Subject: bug#9312: 24.0.50; smtpmail

From: emacs user <[email-masked]>
Date: Sat, 3 Sep 2011 16:06:39 -0700

On Sat, Sep 3, 2011 at 3:26 PM, Glenn Morris <[email-masked]> wrote:
> Lars Magne Ingebrigtsen wrote:
>
>> Glenn Morris <[email-masked]> writes:
>>
>>> Sorry, I think you need the help of someone who speaks smtp (Lars?).
>>> It looks to me like this is a case (530) that should be handled.
>>> It should try again, but this time asking you for a password
>>> to authenticate to your smtp server. I can't see why it errors out.
>>
>> Did you fix this in revno 105558, but forgot to chose the report?
>
> I don't think I fixed it, because I don't see how the debug from
>
> http://debbugs.gnu.org/cgi/bugreport.cgi?bug=9312#16
>
> could lead to the error from the initial report; and the changes in
> r105558 just mean Emacs won't throw a wrong-type-argument error, but the
> mail still won't get sent, will it?
>
> If the server returns 530, Emacs should try again but prompt for a
> password, no?
>

I wanted to add that this doesn't happen for all smtp servers.
smtpmail works well for me with google.com, but produces this bug with
what I think is a Microsoft Exchange server.